#ifndef TEST_MOVING_AVERAGE_H
#define TEST_MOVING_AVERAGE_H

/*!
  \file
  \brief MovingAverage のテスト

  \author Satofumi KAMIMURA

  $Id: TestMovingAverage.h 1811 2010-04-30 16:12:05Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>


//! MovingAverage のテストクラス
class MovingAverageTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE(MovingAverageTest);
    CPPUNIT_TEST(compileTest);
    CPPUNIT_TEST(firstValueTest);
    CPPUNIT_TEST(setAverageValueTest);
    CPPUNIT_TEST(pushTest);
    CPPUNIT_TEST(minusValueTest);
    CPPUNIT_TEST_SUITE_END();

public:
    void compileTest(void);
    void firstValueTest(void);
    void setAverageValueTest(void);
    void pushTest(void);
    void minusValueTest(void);
};

#endif /* !TEST_MOVING_AVERAGE_H */
